<?php
namespace Folha\Entities\Base;

class VabBeneficiario extends \Setforms2\Shared\ORM\BasicEntity
{

    /** @var string  */
    protected $cdoperinclusao;
    /** @var string  */
    protected $cdoperultatu;
    /** @var string  */
    protected $dsobsbeneficiario;
    /** @var \Datetime  */
    protected $dtcancbeneficiario;
    /** @var \Datetime  */
    protected $dtinclusao;
    /** @var \Datetime  */
    protected $dtinscbeneficiario;
    /** @var \Datetime  */
    protected $dtultatu;
    /** @var string  */
    protected $idativo;
    /** @var string  */
    protected $idtpbeneficiario;
    /** @var string  */
    protected $idvalordifebenef;
    /** @var int  */
    protected $nrbeneficiario;
    /** @var int  */
    protected $nrbeneficiom;
    /** @var int  */
    protected $nreventom;
    /** @var string  */
    protected $nrinscbeneficiario;
    /** @var int  */
    protected $nrintegtranspm;
    /** @var int  */
    protected $nrorg;
    /** @var int  */
    protected $nrorginclusao;
    /** @var int  */
    protected $nrorgultatu;
    /** @var int  */
    protected $nrpessoa;
    /** @var int  */
    protected $nrvalorreferenciam;
    /** @var int  */
    protected $nrvincevento;
    /** @var int  */
    protected $nrvinculom;
    /** @var float  */
    protected $qtbeneficio;
    /** @var float  */
    protected $vrbeneficio;
    /** @var float  */
    protected $vrpercsubsidio;
    
    public function __construct() {
        $this->cdoperultatu = '1';
        $this->cdoperinclusao = '1';
		$this->idativo = 'S' ;
		$this->idvalordifebenef = 'TABELA';
		$this->nrorginclusao = 1;
		$this->nrorgultatu = 1;
    }

    public function getCdoperinclusao() {
        return $this->cdoperinclusao;
    }
	public function setCdoperinclusao($cdoperinclusao = NULL) {
        $this->cdoperinclusao = $cdoperinclusao;
        return $this;
    }
	public function getCdoperultatu() {
        return $this->cdoperultatu;
    }
	public function setCdoperultatu($cdoperultatu = NULL) {
        $this->cdoperultatu = $cdoperultatu;
        return $this;
    }
	public function getDsobsbeneficiario() {
        return $this->dsobsbeneficiario;
    }
	public function setDsobsbeneficiario($dsobsbeneficiario = NULL) {
        $this->dsobsbeneficiario = $dsobsbeneficiario;
        return $this;
    }
	public function getDtcancbeneficiario() {
        return $this->dtcancbeneficiario;
    }
	public function setDtcancbeneficiario(\Datetime $dtcancbeneficiario = NULL) {
        $this->dtcancbeneficiario = $dtcancbeneficiario;
        return $this;
    }
	public function getDtinclusao() {
        return $this->dtinclusao;
    }
	public function setDtinclusao(\Datetime $dtinclusao) {
        $this->dtinclusao = $dtinclusao;
        return $this;
    }
	public function getDtinscbeneficiario() {
        return $this->dtinscbeneficiario;
    }
	public function setDtinscbeneficiario(\Datetime $dtinscbeneficiario) {
        $this->dtinscbeneficiario = $dtinscbeneficiario;
        return $this;
    }
	public function getDtultatu() {
        return $this->dtultatu;
    }
	public function setDtultatu(\Datetime $dtultatu = NULL) {
        $this->dtultatu = $dtultatu;
        return $this;
    }
	public function getIdativo() {
        return $this->idativo;
    }
	public function setIdativo($idativo = NULL) {
        $this->idativo = $idativo;
        return $this;
    }
	public function getIdtpbeneficiario() {
        return $this->idtpbeneficiario;
    }
	public function setIdtpbeneficiario($idtpbeneficiario) {
        $this->idtpbeneficiario = $idtpbeneficiario;
        return $this;
    }
	public function getIdvalordifebenef() {
        return $this->idvalordifebenef;
    }
	public function setIdvalordifebenef($idvalordifebenef) {
        $this->idvalordifebenef = $idvalordifebenef;
        return $this;
    }
	public function getNrbeneficiario() {
        return $this->nrbeneficiario;
    }
	public function setNrbeneficiario($nrbeneficiario) {
        $this->nrbeneficiario = $nrbeneficiario;
        return $this;
    }
	public function getNrbeneficiom() {
        return $this->nrbeneficiom;
    }
	public function setNrbeneficiom($nrbeneficiom) {
        $this->nrbeneficiom = $nrbeneficiom;
        return $this;
    }
	public function getNreventom() {
        return $this->nreventom;
    }
	public function setNreventom($nreventom) {
        $this->nreventom = $nreventom;
        return $this;
    }
	public function getNrinscbeneficiario() {
        return $this->nrinscbeneficiario;
    }
	public function setNrinscbeneficiario($nrinscbeneficiario = NULL) {
        $this->nrinscbeneficiario = $nrinscbeneficiario;
        return $this;
    }
	public function getNrintegtranspm() {
        return $this->nrintegtranspm;
    }
	public function setNrintegtranspm($nrintegtranspm = NULL) {
        $this->nrintegtranspm = $nrintegtranspm;
        return $this;
    }
	public function getNrorg() {
        return $this->nrorg;
    }
	public function setNrorg($nrorg) {
        $this->nrorg = $nrorg;
        return $this;
    }
	public function getNrorginclusao() {
        return $this->nrorginclusao;
    }
	public function setNrorginclusao($nrorginclusao = NULL) {
        $this->nrorginclusao = $nrorginclusao;
        return $this;
    }
	public function getNrorgultatu() {
        return $this->nrorgultatu;
    }
	public function setNrorgultatu($nrorgultatu = NULL) {
        $this->nrorgultatu = $nrorgultatu;
        return $this;
    }
	public function getNrpessoa() {
        return $this->nrpessoa;
    }
	public function setNrpessoa($nrpessoa) {
        $this->nrpessoa = $nrpessoa;
        return $this;
    }
	public function getNrvalorreferenciam() {
        return $this->nrvalorreferenciam;
    }
	public function setNrvalorreferenciam($nrvalorreferenciam = NULL) {
        $this->nrvalorreferenciam = $nrvalorreferenciam;
        return $this;
    }
	public function getNrvincevento() {
        return $this->nrvincevento;
    }
	public function setNrvincevento($nrvincevento = NULL) {
        $this->nrvincevento = $nrvincevento;
        return $this;
    }
	public function getNrvinculom() {
        return $this->nrvinculom;
    }
	public function setNrvinculom($nrvinculom) {
        $this->nrvinculom = $nrvinculom;
        return $this;
    }
	public function getQtbeneficio() {
        return $this->qtbeneficio;
    }
	public function setQtbeneficio($qtbeneficio) {
        $this->qtbeneficio = $qtbeneficio;
        return $this;
    }
	public function getVrbeneficio() {
        return $this->vrbeneficio;
    }
	public function setVrbeneficio($vrbeneficio = NULL) {
        $this->vrbeneficio = $vrbeneficio;
        return $this;
    }
	public function getVrpercsubsidio() {
        return $this->vrpercsubsidio;
    }
	public function setVrpercsubsidio($vrpercsubsidio = NULL) {
        $this->vrpercsubsidio = $vrpercsubsidio;
        return $this;
    }

}