<?php

namespace HCM\FPA\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;

class TipoIncidenciaService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function validaCamposVazios(&$row){
        $row['DSNRTIPOMOVIMENT'] =  (!isset($row['DSNRTIPOMOVIMENT']) || empty($row['DSNRTIPOMOVIMENT']))  ?  NULL : $row['DSNRTIPOMOVIMENT'];
        $row['IDREPDSR']         =  (!isset($row['IDREPDSR'])         || empty($row['IDREPDSR']))          ?  NULL : $row['IDREPDSR'];
        $row['IDREPDECTERC']     =  (!isset($row['IDREPDECTERC'])     || empty($row['IDREPDECTERC']))      ?  NULL : $row['IDREPDECTERC'];
        $row['IDREPFERIAS']      =  (!isset($row['IDREPFERIAS'])      || empty($row['IDREPFERIAS']))       ?  NULL : $row['IDREPFERIAS'];
        $row['IDREPAVISO']       =  (!isset($row['IDREPAVISO'])       || empty($row['IDREPAVISO']))        ?  NULL : $row['IDREPAVISO'];
    }
}