<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class RegistroK100 extends Registro0000 {

    private $_dtIncAlt;
    private $_codLtc;
    private $_cnpjCei;
    private $_descLtc;
    private $_cnpjCeiTom;

    public function geraRegistroK100(){
        $this->_geraRegistro(self::REGISTRO_K100);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_dtIncAlt);
        // Ordem 3
        $this->atribuiDadoManad($this->_codLtc);
        // Ordem 4
        $this->atribuiDadoManad($this->_cnpjCei);
        // Ordem 5
        $this->atribuiDadoManad($this->_descLtc);
        // Ordem 6
        $this->atribuiDadoManad($this->_cnpjCeiTom, true);
    }
    
    public function setDtIncAlt($dtIncAlt){
        $this->_dtIncAlt = $dtIncAlt;
    }
    public function setCodLtc($codLtc){
        $this->_codLtc = $codLtc;
    }
    public function setCnpjCei($cnpjCei){
        $this->_cnpjCei = $cnpjCei;
    }
    public function setDescLtc($descLtc){
        $this->_descLtc = $descLtc;
    }
    public function setCnpjCeiTom($cnpjCeiTom){
        $this->_cnpjCeiTom = $cnpjCeiTom;
    }
}